package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.ContractSampleAnnex;
import com.patzn.cloud.service.lims.hmhj.mapper.ContractSampleAnnexMapper;
import com.patzn.cloud.service.lims.hmhj.service.IContractSampleAnnexService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 * 食药单机系统-样品附件表 服务实现类
 *
 * @author wwd
 * @since 2021-02-01
 */
@Service
public class ContractSampleAnnexServiceImpl extends BaseServiceImpl<ContractSampleAnnexMapper, ContractSampleAnnex> implements IContractSampleAnnexService {

    @Override
    public Page<ContractSampleAnnex> page(Page<ContractSampleAnnex> page, ContractSampleAnnex contractSampleAnnex) {
        Wrapper wrapper = new EntityWrapper<>(contractSampleAnnex);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
