package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.EntrustSampleBackup;
import com.patzn.cloud.service.lims.hmhj.mapper.EntrustSampleBackupMapper;
import com.patzn.cloud.service.lims.hmhj.service.IEntrustSampleBackupService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 * 备样样品表 服务实现类
 *
 * @author wwd
 * @since 2021-02-03
 */
@Service
public class EntrustSampleBackupServiceImpl extends BaseServiceImpl<EntrustSampleBackupMapper, EntrustSampleBackup> implements IEntrustSampleBackupService {

    @Override
    public Page<EntrustSampleBackup> page(Page<EntrustSampleBackup> page, EntrustSampleBackup entrustSampleBackup) {
        Wrapper wrapper = new EntityWrapper<>(entrustSampleBackup);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
