package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.EntrustSampleMake;
import com.patzn.cloud.service.lims.hmhj.mapper.EntrustSampleMakeMapper;
import com.patzn.cloud.service.lims.hmhj.service.IEntrustSampleMakeService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 * 样品制备表 服务实现类
 *
 * @author wwd
 * @since 2021-02-03
 */
@Service
public class EntrustSampleMakeServiceImpl extends BaseServiceImpl<EntrustSampleMakeMapper, EntrustSampleMake> implements IEntrustSampleMakeService {

    @Override
    public Page<EntrustSampleMake> page(Page<EntrustSampleMake> page, EntrustSampleMake entrustSampleMake) {
        Wrapper wrapper = new EntityWrapper<>(entrustSampleMake);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
