package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.Entrust;
import com.patzn.cloud.service.lims.hmhj.mapper.EntrustMapper;
import com.patzn.cloud.service.lims.hmhj.service.IEntrustService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 *  服务实现类
 *
 * @author wwd
 * @since 2021-02-01
 */
@Service
public class EntrustServiceImpl extends BaseServiceImpl<EntrustMapper, Entrust> implements IEntrustService {

    @Override
    public Page<Entrust> page(Page<Entrust> page, Entrust entrust) {
        Wrapper wrapper = new EntityWrapper<>(entrust);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
