package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.MaterialItem;
import com.patzn.cloud.service.lims.hmhj.mapper.MaterialItemMapper;
import com.patzn.cloud.service.lims.hmhj.service.IMaterialItemService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 *  服务实现类
 *
 * @author wwd
 * @since 2021-02-03
 */
@Service
public class MaterialItemServiceImpl extends BaseServiceImpl<MaterialItemMapper, MaterialItem> implements IMaterialItemService {

    @Override
    public Page<MaterialItem> page(Page<MaterialItem> page, MaterialItem materialItem) {
        Wrapper wrapper = new EntityWrapper<>(materialItem);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
