package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.Standard;
import com.patzn.cloud.service.lims.hmhj.mapper.StandardMapper;
import com.patzn.cloud.service.lims.hmhj.service.IStandardService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 * 土工试验-试验依据 服务实现类
 *
 * @author wwd
 * @since 2021-02-03
 */
@Service
public class StandardServiceImpl extends BaseServiceImpl<StandardMapper, Standard> implements IStandardService {

    @Override
    public Page<Standard> page(Page<Standard> page, Standard standard) {
        Wrapper wrapper = new EntityWrapper<>(standard);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
