package com.patzn.cloud.service.lims.hmhj.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.patzn.cloud.commons.controller.Account;
import com.patzn.cloud.commons.service.IBaseService;
import com.patzn.cloud.service.hmhj.entity.ContractSample;

import java.util.List;

/**
 *  服务类
 *
 * @author wwd
 * @since 2021-02-01
 */
public interface IContractSampleService extends IBaseService<ContractSample> {

    Page<ContractSample> page(Page<ContractSample> page, ContractSample contractSample);

    Page<ContractSample> pageByIds(Page<ContractSample> page, Long[] ids);

    boolean removeByIds(List<Long> ids);

    boolean submitToStoreTransport(Long[] ids, Account account);
}
