package com.patzn.cloud.service.lims.hmhj.service.impl;

import com.baomidou.mybatisplus.mapper.Condition;
import com.patzn.cloud.service.hmhj.entity.Qualification;
import com.patzn.cloud.service.lims.hmhj.mapper.QualificationMapper;
import com.patzn.cloud.service.lims.hmhj.service.IQualificationService;
import com.patzn.cloud.commons.service.impl.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.Page;

import java.util.List;

/**
 *  服务实现类
 *
 * @author wwd
 * @since 2021-02-03
 */
@Service
public class QualificationServiceImpl extends BaseServiceImpl<QualificationMapper, Qualification> implements IQualificationService {

    @Override
    public Page<Qualification> page(Page<Qualification> page, Qualification qualification) {
        Wrapper wrapper = new EntityWrapper<>(qualification);

        return this.page(page, wrapper);
    }

    @Override
    public boolean removeByIds(List<Long> ids) {
        return baseMapper.deleteBatchIds(ids) > 0;
    }
}
